<?php

class Personalization_4tell_Utils
{
	/**
	 * The ID of this plugin.
	 *
	 * @since    1.1.2
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.1.2
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	public function isaValidDate($date, $format = 'Y-m-d')
	{
		$d = DateTime::createFromFormat($format, $date);
		return $d && $d->format($format) == $date;
	}

	/** Send an API error message. Will halt the progress of the calling function */
	public function senderror($message, $status)
	{
		wp_send_json_error(array("message" => $message, "status" => $status));
	}

	/** Takes an array as an argument */
	public function createCommaString($postTypes)
	{
		return implode(' , ', array_map(function ($str) {
			return sprintf("'%s'", $str);
		}, $postTypes));
	}
}

/** Logs out to the browser console */
function debug_to_console_4t($data, $name = "Debug")
{
	$output = $data;
	if (is_array($output)) {
		$output = implode(',', $output);
	}
	echo ("<script>console.log('" . $name . " : " . $output . "');</script>");
}


/** Mini React-like component to attempt to reduce code repetition. */
function render_title_4t($text)
{
	$title = "<p class='inner-section-4tell-title'>$text</p>";
	echo $title;
}
