<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://get4tell.com
 * @since      1.0.0
 *
 * @package    Personalization_4tell
 * @subpackage Personalization_4tell/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap" style="overflow-x: hidden">
    <h2 style="margin-bottom: 10px;">Adaptive Web Personalization</h2>
    <?php
    if (isset($_GET['tab'])) {
        $active_tab = $_GET['tab'];
    } else {
        $active_tab = 'general_options'; // if nothing set, default to generalSettings
    }
    ?>

    <h2 class="nav-tab-wrapper">
        <a href="?page=Adaptive-Web&tab=general_options" class="nav-tab <?php echo $active_tab == 'general_options' ? 'nav-tab-active' : ''; ?>">General Options</a>
        <a href="?page=Adaptive-Web&tab=tray_options" id="test-tray-options-button" class="nav-tab <?php echo $active_tab == 'tray_options' ? 'nav-tab-active' : ''; ?>">Tray Options</a>
        <a href="?page=Adaptive-Web&tab=mylibrary_options" id="test-mylibrary-options-button" class="nav-tab <?php echo $active_tab == 'mylibrary_options' ? 'nav-tab-active' : ''; ?>">My Library Options</a>
    </h2>

    <form method="post" name="save_client_info" action="options.php">
        <?php settings_fields($this->plugin_name); ?>
        <?php do_settings_sections($this->plugin_name); ?>

        <?php
        $all_post_types = get_post_types(array('public' => true)); // return a list of all public posts
        $attachment_key = array_search("attachment", $all_post_types);
        unset($all_post_types[$attachment_key]); // the attatchment post type is useless for our purposes. don't even show it as an option
        $options = get_option($this->plugin_name);
        $imageSizes = get_intermediate_image_sizes();

        $general_options = $options['general'];
        $tray_options = $options['tray'];
        $mylibrary_options = $options['mylibrary'];

        //////////////////////////////
        // General Option Variables //
        //////////////////////////////
        $EnableTracking = $general_options['EnableTracking'];
        $recommend_these_types = empty($general_options['PostTypesForRecs']) ? array() : $general_options['PostTypesForRecs'];
        $ClientAlias = $general_options['ClientAlias'];
        $ImageSize = $general_options['ImageSize'];
        $DataPrefix = $general_options['DataPrefix'];
        $CustomerIdCookie = $general_options['CustomerIdCookie'];
        $DataMode = $general_options['DataMode'];
        $ServiceKey = $general_options['ServiceKey'];
        $RequireHTTPS = $general_options['RequireHTTPS'];

        ///////////////////////////
        // Tray Option Variables //
        ///////////////////////////
        $EnableTray = $tray_options['EnableTray'];
        $EnableTrayLoggedIn = $tray_options['EnableTrayLoggedIn'];
        $recs_on_these_page_types = empty($tray_options['RecsOnThesePageTypes']) ? array() : $tray_options['RecsOnThesePageTypes'];
        $IncludedPostIds = $tray_options['IncludedPostIds']; // don't show the tray on any Post types, except these one or two
        $ExcludedPostIds = $tray_options['ExcludedPostIds']; // show all Posts or Pages in recommendations, except these two or three weird posts
        $HideRecsOnTheseIds = $tray_options['HideRecsOnTheseIds']; // don't show the tray on these pages
        $IncludeTheseIdsAsRecs = $tray_options['IncludeTheseIdsAsRecs']; // specifically include these post's for recs
        $RecsFontSize = $tray_options['RecsFontSize'];
        $RecsFontColor = $tray_options['RecsFontColor'];
        $RecsBackgroundColor = $tray_options['RecsBackgroundColor'];
        $RecsBorderColor = $tray_options['RecsBorderColor'];
        $TrayTitleText = $tray_options['TrayTitleText'];
        $PromotedRecId = $tray_options['PromotedRecId'];
        $PromotedRecTitle = $tray_options['PromotedRecTitle'];
        $ButtonText = $tray_options['ButtonText'];
        $TrayFontSize = $tray_options['TrayFontSize'];
        $TrayTitleColor = $tray_options['TrayTitleColor'];
        $TrayBGColor = $tray_options['TrayBGColor'];
        $TrayTopBorderColor = $tray_options['TrayTopBorderColor'];
        $TrayLayOut = $tray_options['TrayLayOut'];
        $BubbleBGColor = $tray_options['BubbleBGColor'];
        $PromptBackgroundColor = $tray_options['PromptBackgroundColor'];
        $PromptFontColor = $tray_options['PromptFontColor'];
        $ButtonFontColor = $tray_options['ButtonFontColor'];
        $ButtonBorderColor = $tray_options['ButtonBorderColor'];
        $TrayButtonColor = $tray_options['TrayButtonColor'];
        $PromptOnDelay = $tray_options['PromptOnDelay'];
        $PromptMessageNewUser = $tray_options['PromptMessageNewUser'];
        $PromptMessageReturningUser = $tray_options['PromptMessageReturningUser'];
        $PromptMessageKnownUser = $tray_options['PromptMessageKnownUser'];
        $PromptOnScrollDepth = $tray_options['PromptOnScrollDepth'];
        $PromptLimitedTo = $tray_options['PromptLimitedTo'];
        $TrayOpenOnDelay = $tray_options['TrayOpenOnDelay'];
        $TrayAutoOpenLimitedTo = $tray_options['TrayAutoOpenLimitedTo'];
        $TrayOpenOnScrollDepth = $tray_options['TrayOpenOnScrollDepth'];
        $IconBackgroundColor = $tray_options['IconBackgroundColor'];
        $IconSvgFillColor = $tray_options['IconSvgFillColor'];
        $IconType = $tray_options['IconType'];

        /////////////////////////////////
        // My Library Option Variables //
        /////////////////////////////////
        $MyLibraryHeadingColor = $mylibrary_options['MyLibraryHeadingColor'];
        $MyLibraryNumRecsMobile = $mylibrary_options['MyLibraryNumRecsMobile'];
        $MyLibraryNumRecsTablet = $mylibrary_options['MyLibraryNumRecsTablet'];
        $MyLibraryNumRecsDesktop = $mylibrary_options['MyLibraryNumRecsDesktop'];
        $MyLibraryHeadingFontSize = $mylibrary_options['MyLibraryHeadingFontSize'];
        $MyLibraryRecBorderColor = $mylibrary_options['MyLibraryRecBorderColor'];
        $MyLibraryRecBackgroundColor = $mylibrary_options['MyLibraryRecBackgroundColor'];
        $MyLibraryRecFontColor = $mylibrary_options['MyLibraryRecFontColor'];
        $MyLibraryRecFontSize = $mylibrary_options['MyLibraryRecFontSize'];

        ?>

        <div class="section-4tell-wrap">
            <?php
            if ($active_tab == 'tray_options') {
                include 'personalization-4tell-tray-options.php';
            } else if ($active_tab == "mylibrary_options") {
                include 'personalization-4tell-mylibrary-options.php';
            } else {
                include 'personalization-4tell-general-options.php';
            }
            ?>
        </div>
        <?php submit_button('Save Settings', 'primary', 'submit', TRUE); ?>
    </form>
</div>