<?php
/**
 * General Options
 *
 * @link       https://get4tell.com
 * @since      1.0.0
 *
 * @package    Personalization_4tell
 * @subpackage Personalization_4tell/admin/partials
 */
?>
<div class="section-4tell-h2">General Options</div>
<div class="inner-section-4tell-component" id="test-general-tracking">
    <h4>We will track behavior on your site to optimize recommendations. For best results we suggest enabling for a week before displaying recommendations. Recommendations will only display if you enable them below.</h4>
</div>


<div class="section-4tell-wrap">
    <input type="text" hidden id="<?php echo $this->plugin_name; ?>-Tab" name="<?php echo $this->plugin_name; ?>[Tab]" value="General" />
    <div class="inner-section-4tell-component" id="test-general-tracking">
        <?php render_title_4t("Track Behavior") ?>
        <input type="checkbox" value="1" name="<?php echo $this->plugin_name; ?>[general][EnableTracking]" <?php checked($EnableTracking, 1); ?> />
    </div>
    <div class="inner-section-4tell-component" id="test-tray-tracking">
        <?php render_title_4t("Show recommendations") ?>
        <input type="checkbox" value="1" name="<?php echo $this->plugin_name; ?>[tray][EnableTray]" <?php checked($EnableTray, 1); ?> />
        <p class='inner-section-4tell-title-custom left-margin'>Show recommendations for admins only</p>
        <input type="checkbox" value="1" name="<?php echo $this->plugin_name; ?>[tray][EnableTrayLoggedIn]" <?php checked($EnableTrayLoggedIn, 1); ?> />
    </div>
</div>
<div class="section-4tell-h2">Client Details</div>
<div class="section-4tell-subtitle">You should have recieved an email that contains your client alias and service key. We use these to verify we have access to your site when we grab your data.</div>
<div class="inner-section-4tell-wrap">
    <div class="inner-section-4tell-component">
        <?php render_title_4t("Client Alias:") ?>
        <input type="text" placeholder="Client Alias" id="<?php echo $this->plugin_name; ?>-ClientAlias" name="<?php echo $this->plugin_name; ?>[general][ClientAlias]" value="<?php if (!empty($ClientAlias)) echo $ClientAlias; ?>" size="50" />
    </div>
    <div class="inner-section-4tell-component">
        <?php render_title_4t("Service Key:") ?>
        <input type="text" placeholder="Service Key" id="<?php echo $this->plugin_name; ?>-ServiceKey" name="<?php echo $this->plugin_name; ?>[general][ServiceKey]" value="<?php if (!empty($ServiceKey)) echo $ServiceKey; ?>" size="50" />
    </div>
</div>
<div class="section-4tell-h2">Setup</div>
<div class="section-4tell-wrap">
    <div class="data-wrap-4tell">
        <div class="column-4tell-wrap">
            <div class="row-4tell-wrap">
                <p class='inner-section-4tell-title-custom'>What types are displayed as recommendations?</p>
                <ul>
                    <?php foreach ($all_post_types as $postType) { ?>
                        <li>
                            <input type='checkbox' value='1' name="<?php echo $this->plugin_name ?>[general][<?php echo $postType ?>]" <?php checked($postType, in_array($postType, $recommend_these_types) ? $postType : "notFound"); ?> />
                            <label><?php echo $postType ?></label>
                        </li>
                    <?php } ?>
                </ul>
            </div>
            <div class="inner-section-4tell-component no-padding-4t">
                <p class='inner-section-4tell-title full-width-4t'>Also recommend these:</p>
                <input type="text" placeholder="Comma separated Ids.." id="<?php echo $this->plugin_name; ?>-IncludeTheseIdsAsRecs" name="<?php echo $this->plugin_name; ?>[tray][IncludeTheseIdsAsRecs]" value="<?php if (!empty($IncludeTheseIdsAsRecs)) echo $IncludeTheseIdsAsRecs; ?>" />
            </div>
            <div class="inner-section-4tell-component no-padding-4t">
                <p class='inner-section-4tell-title full-width-4t'>Don't recommend these:</p>
                <input type="text" placeholder="Comma separated Ids.." id="<?php echo $this->plugin_name; ?>-ExcludedPostIds" name="<?php echo $this->plugin_name; ?>[tray][ExcludedPostIds]" value="<?php if (!empty($ExcludedPostIds)) echo $ExcludedPostIds; ?>" />
            </div>
        </div>
        <div class="vertical-line-4t"></div>
        <div class="column-4tell-wrap">
            <div class="row-4tell-wrap">
                <p class='inner-section-4tell-title-custom'>Where are recommendations displayed?</p>
                <ul>
                    <?php foreach ($all_post_types as $postType) { ?>
                        <li>
                            <input type='checkbox' value='1' name="<?php echo $this->plugin_name ?>[tray][<?php echo $postType ?>]" <?php checked($postType, in_array($postType, $recs_on_these_page_types) ? $postType : "notFound"); ?> />
                            <label><?php echo $postType ?></label>
                        </li>
                    <?php } ?>
                </ul>
            </div>
            <div class="inner-section-4tell-component">
                <?php render_title_4t("Also display here:") ?>
                <input type="text" placeholder="Comma separated Ids.." id="<?php echo $this->plugin_name; ?>-IncludedPostIds" name="<?php echo $this->plugin_name; ?>[tray][IncludedPostIds]" value="<?php if (!empty($IncludedPostIds)) echo $IncludedPostIds; ?>" />
            </div>
            <div class="inner-section-4tell-component">
                <?php render_title_4t("Don't display here:") ?>
                <input type="text" placeholder="Comma separated Ids.." id="<?php echo $this->plugin_name; ?>-HideRecsOnTheseIds" name="<?php echo $this->plugin_name; ?>[tray][HideRecsOnTheseIds]" value="<?php if (!empty($HideRecsOnTheseIds)) echo $HideRecsOnTheseIds; ?>" />
            </div>
        </div>
    </div>
</div>
<div class="section-4tell-h2">Data Extraction</div>
<div class="section-4tell-subtitle">This tells us which data we should grab and a unique identifier to append to the data.</div>
<div class="section-4tell-wrap">
    <div class="inner-section-4tell-wrap">
        <div class="inner-section-4tell-component">
            <?php render_title_4t("Data Mode:") ?>
            <select name="<?php echo $this->plugin_name; ?>[general][DataMode]" value="<?php if (!empty($DataMode)) echo $DataMode; ?>">
                <option <?php if ('Live' == $DataMode) echo "selected" ?>>Live</option>
                <option <?php if ('Stage' == $DataMode) echo "selected" ?>>Stage</option>
            </select>
        </div>
        <div class="inner-section-4tell-component">
            <?php render_title_4t("Data Prefix (optional):") ?>
            <input type="text" id="<?php echo $this->plugin_name; ?>-general-DataPrefix" name="<?php echo $this->plugin_name; ?>[general][DataPrefix]" value="<?php if (!empty($DataPrefix)) echo $DataPrefix; ?>" size="50" />
        </div>
        <div class="inner-section-4tell-component">
            <?php render_title_4t("Customer ID Cookie (optional):") ?>
            <input type="text" id="<?php echo $this->plugin_name; ?>-general-CustomerIdCookie" name="<?php echo $this->plugin_name; ?>[general][CustomerIdCookie]" value="<?php if (!empty($CustomerIdCookie)) echo $CustomerIdCookie; ?>" size="50" />
        </div>
        <div class="inner-section-4tell-component">
            <?php render_title_4t("Image Size:") ?>
            <select name="<?php echo $this->plugin_name; ?>[general][ImageSize]" value="<?php if (!empty($ImageSize)) echo $ImageSize; ?>">
                <?php foreach ($imageSizes as $image) { ?>
                    <option value="<?php echo $image ?>" <?php if ($image == $ImageSize) echo "selected" ?>><?php echo $image ?></option>
                <?php } ?>
            </select>
        </div>
        <p class="section-4tell-description">For best results, please select 'custom_thumbnail' from the dropdown and use the <a href="https://wordpress.org/plugins/regenerate-thumbnails" target="_blank">Regenerate Thumbnails</a> plugin to create the custom image size. </p>
        <div class="inner-section-4tell-component" id="test-general-require-https">
            <?php render_title_4t("Require Https:") ?>
            <input type="checkbox" value="1" name="<?php echo $this->plugin_name; ?>[general][RequireHTTPS]" <?php checked($RequireHTTPS, 1); ?> />
        </div>
    </div>
</div>