<?php

/**
 * General Options
 *
 * @link       https://get4tell.com
 * @since      1.0.0
 *
 * @package    Personalization_4tell
 * @subpackage Personalization_4tell/admin/partials
 */
$crystalball_4t = 'https://4tcdn.blob.core.windows.net/sites/wordpress-plugin/resources/crystalball.svg';
$lightbulb_4t = 'https://4tcdn.blob.core.windows.net/sites/wordpress-plugin/resources/lightbulb.svg';
?>
<div class="section-4tell-h2">Widget Styling</div>
<div class="subsection-4tell-wrap" id="test-widget-styling-wrap">
	<div class="inner-section-4tell-component">
		<?php render_title_4t("Button Type:") ?>
		<input class="iconSelector4T" type="radio" id="default-tray-4t" name="<?php echo $this->plugin_name; ?>[tray][IconType]" value="" <?php checked($IconType, ""); ?> />
		<div class="trayButtonwrapper4T">
			<div class="default-tray-placeholder-4t"></div>
			<div class="notificationBubble4T"></div>
		</div>
		<input class="iconSelector4T" type="radio" name="<?php echo $this->plugin_name; ?>[tray][IconType]" value="<?php echo $lightbulb_4t; ?>" <?php checked($IconType, $lightbulb_4t); ?> />
		<div class="icon-background-4t trayButtonwrapper4T">
			<img class="svg" src="<?php echo $lightbulb_4t; ?>" />
			<div class="notificationBubble4T"></div>
		</div>
		<input class="iconSelector4T" type="radio" name="<?php echo $this->plugin_name; ?>[tray][IconType]" value="<?php echo $crystalball_4t; ?>" <?php checked($IconType, $crystalball_4t); ?> />
		<div class="icon-background-4t trayButtonwrapper4T">
			<img class="svg" src="<?php echo $crystalball_4t; ?>" />
			<div class="notificationBubble4T"></div>
		</div>
	</div>
	<div class="inner-section-4tell-wrap">
		<div class="inner-section-4tell-component" id="test-notifications">
			<?php render_title_4t("Notification:") ?>
			<input type="text" class="color-picker-4tell bubbleBackgroundColor4T" id="<?php echo $this->plugin_name; ?>-BubbleBGColor" name="<?php echo $this->plugin_name; ?>[tray][BubbleBGColor]" value="<?php if (!empty($BubbleBGColor)) echo $BubbleBGColor; ?>" />
		</div>
		<div class="default-tray-4t-options">
			<div class="inner-section-4tell-component">
				<?php render_title_4t("Button Text:") ?>
				<input type="text" maxlength="48" id="ButtonText-4t" name="<?php echo $this->plugin_name; ?>[tray][ButtonText]" value="<?php if (!empty($ButtonText)) echo $ButtonText; ?>" class="longer-width-input-4t" />
			</div>
			<div class="inner-section-4tell-component" id="test-button-font">
				<?php render_title_4t("Font:") ?>
				<input type="text" class="color-picker-4tell ButtonFontColor4t" id="<?php echo $this->plugin_name; ?>-ButtonFontColor" name="<?php echo $this->plugin_name; ?>[tray][ButtonFontColor]" value="<?php if (!empty($ButtonFontColor)) echo $ButtonFontColor; ?>" />
			</div>
			<div class="inner-section-4tell-component" id="test-button-border">
				<?php render_title_4t("Border:") ?>
				<input type="text" class="color-picker-4tell ButtonBorderColor4t" id="<?php echo $this->plugin_name; ?>-ButtonBorderColor" name="<?php echo $this->plugin_name; ?>[tray][ButtonBorderColor]" value="<?php if (!empty($ButtonBorderColor)) echo $ButtonBorderColor; ?>" />
			</div>
			<div class="inner-section-4tell-component" id="test-button-background">
				<?php render_title_4t("Background:") ?>
				<input type="text" class="color-picker-4tell trayButtonColor4T" id="<?php echo $this->plugin_name; ?>[tray][TrayButtonColor]" name="<?php echo $this->plugin_name; ?>[tray][TrayButtonColor]" value="<?php if (!empty($TrayButtonColor)) echo $TrayButtonColor; ?>" />
			</div>
		</div>
		<div class="icon-4t-options">
			<div class="inner-section-4tell-component" id="test-icon-background">
				<?php render_title_4t("Background:") ?>
				<input type="text" class="color-picker-4tell IconBackgroundColor4T" id="<?php echo $this->plugin_name; ?>[tray][IconBackgroundColor]" name="<?php echo $this->plugin_name; ?>[tray][IconBackgroundColor]" value="<?php if (!empty($IconBackgroundColor)) echo $IconBackgroundColor; ?>" />
			</div>
			<div class="inner-section-4tell-component" id="test-icon-color">
				<?php render_title_4t("Icon:") ?>
				<input type="text" class="color-picker-4tell IconSvgFillColor4T" id="<?php echo $this->plugin_name; ?>[tray][IconSvgFillColor]" name="<?php echo $this->plugin_name; ?>[tray][IconSvgFillColor]" value="<?php if (!empty($IconSvgFillColor)) echo $IconSvgFillColor; ?>" />
			</div>
		</div>
	</div>
</div>

<div class="section-4tell-h2" id="test-tray-title">Engagement Options</div>
<div class="subsection-4tell-wrap" id="test-auto-open">
	<div class="subsection-4tell-title">Auto Open Tray</div>
	<div class="section-4tell-wrap">
		<div class="inner-section-4tell-component">
			<?php render_title_4t("Auto Open:") ?>
			<select name="<?php echo $this->plugin_name; ?>[tray][TrayAutoOpenLimitedTo]" class="AutoOpenTray4T">
				<option value="FirstPageOnly" <?php selected($TrayAutoOpenLimitedTo, "FirstPageOnly"); ?>>First page only</option>
				<option value="AllPagesUntilDismissed" <?php selected($TrayAutoOpenLimitedTo, "AllPagesUntilDismissed"); ?>>All pages until dismissed </option>
				<option value="AllPages" <?php selected($TrayAutoOpenLimitedTo, "AllPages"); ?>>All pages</option>
				<option value="Disabled" class="AutoOpenTray4T-disabled" <?php selected($TrayAutoOpenLimitedTo, "Disabled"); ?>>Disabled</option>
			</select>
		</div>
		<div class="AutoOpenTray4T-options">
			<div class="inner-section-4tell-component">
				<?php render_title_4t("Delay:") ?>
				<input type="number" placeholder="seconds" min=0 id="<?php echo $this->plugin_name; ?>-TrayOpenOnDelay" name="<?php echo $this->plugin_name; ?>[tray][TrayOpenOnDelay]" value="<?php if (!empty($TrayOpenOnDelay)) echo $TrayOpenOnDelay; ?>" />
				<div class="left-margin-small">seconds</div>
			</div>
			<div class="inner-section-4tell-component">
				<?php render_title_4t("Scroll Depth:") ?>
				<select name="<?php echo $this->plugin_name; ?>[tray][TrayOpenOnScrollDepth]">
					<option value="HalfWayDown" <?php selected($TrayOpenOnScrollDepth, "HalfWayDown"); ?>>Halfway Down </option>
					<option value="ThreeQuartersWayDown" <?php selected($TrayOpenOnScrollDepth, "ThreeQuartersWayDown"); ?>>Three Quarters Way Down </option>
					<option value="Bottom" <?php selected($TrayOpenOnScrollDepth, "Bottom"); ?>>Bottom</option>
					<option value="Disabled" <?php selected($TrayOpenOnScrollDepth, "Disabled"); ?>>Disabled</option>
				</select>
			</div>
		</div>
	</div>
	<div class="subsection-4tell-title" id="test-tray-title">Prompt</div>
	<div class="section-4tell-wrap">
		<div class="inner-section-4tell-component">
			<?php render_title_4t("Pop Up:") ?>
			<select name="<?php echo $this->plugin_name; ?>[tray][PromptLimitedTo]" class="PromptLimitedTo4T">
				<option value="FirstPageOnly" <?php selected($PromptLimitedTo, "FirstPageOnly"); ?>>First page only </option>
				<option value="AllPagesUntilDismissed" <?php selected($PromptLimitedTo, "AllPagesUntilDismissed"); ?>> All pages until dismissed</option>
				<option value="AllPages" <?php selected($PromptLimitedTo, "AllPages"); ?>>All pages</option>
				<option value="Disabled" class="PromptLimitedTo4T-disabled" <?php selected($PromptLimitedTo, "Disabled"); ?>>Disabled</option>
			</select>
		</div>
		<div class="PromptOptions-4T">
			<div class="inner-section-4tell-component">
				<?php render_title_4t("Delay:") ?>
				<input type="number" placeholder="seconds" min=0 id="<?php echo $this->plugin_name; ?>-PromptOnDelay" name="<?php echo $this->plugin_name; ?>[tray][PromptOnDelay]" value="<?php if (!empty($PromptOnDelay)) echo $PromptOnDelay; ?>" />
				<div class="left-margin-small">seconds</div>
			</div>
			<div class="inner-section-4tell-component">
				<?php render_title_4t("Scroll Depth:") ?>
				<select name="<?php echo $this->plugin_name; ?>[tray][PromptOnScrollDepth]">
					<option value="HalfWayDown" <?php selected($PromptOnScrollDepth, "HalfWayDown"); ?>>Halfway Down </option>
					<option value="ThreeQuartersWayDown" <?php selected($PromptOnScrollDepth, "ThreeQuartersWayDown"); ?>>Three Quarters Way Down </option>
					<option value="Bottom" <?php selected($PromptOnScrollDepth, "Bottom"); ?>>Bottom</option>
					<option value="Disabled" <?php selected($PromptOnScrollDepth, "Disabled"); ?>>Disabled</option>
				</select>
			</div>
			<div class="inner-section-4tell-component" id="test-prompt-background">
				<?php render_title_4t("Background:") ?>
				<input type="text" class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-PromptBackgroundColor" name="<?php echo $this->plugin_name; ?>[tray][PromptBackgroundColor]" value="<?php if (!empty($PromptBackgroundColor)) echo $PromptBackgroundColor; ?>" />
			</div>
			<div class="inner-section-4tell-component" id="test-prompt-font">
				<?php render_title_4t("Font:") ?>
				<input type="text" class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-PromptFontColor" name="<?php echo $this->plugin_name; ?>[tray][PromptFontColor]" value="<?php if (!empty($PromptFontColor)) echo $PromptFontColor; ?>" />
			</div>
			<div class="subsection-4tell-title">Message:</div>
			<div class="section-4tell-wrap">
				<div class="inner-section-4tell-component">
					<?php render_title_4t("New:") ?>
					<input type="text" maxlength="80" id="<?php echo $this->plugin_name; ?>-PromptMessageNewUser" name="<?php echo $this->plugin_name; ?>[tray][PromptMessageNewUser]" value="<?php if (!empty($PromptMessageNewUser)) echo $PromptMessageNewUser; ?>" class="longer-width-input-4t" />
				</div>
				<div class="inner-section-4tell-component">
					<?php render_title_4t("Returning:") ?>
					<input type="text" maxlength="80" id="<?php echo $this->plugin_name; ?>-PromptMessageReturningUser" name="<?php echo $this->plugin_name; ?>[tray][PromptMessageReturningUser]" value="<?php if (!empty($PromptMessageReturningUser)) echo $PromptMessageReturningUser; ?>" class="longer-width-input-4t" />
				</div>
				<div class="inner-section-4tell-component">
					<?php render_title_4t("*Known:") ?>
					<input type="text" maxlength="80" id="<?php echo $this->plugin_name; ?>-PromptMessageKnownUser" name="<?php echo $this->plugin_name; ?>[tray][PromptMessageKnownUser]" value="<?php if (!empty($PromptMessageKnownUser)) echo $PromptMessageKnownUser; ?>" class="longer-width-input-4t" />
				</div>
				<div class="inner-section-4tell-component margin-bottom-4t">* where {name} represents the name of the visitor, if known. Use \n for new lines</div>

			</div>
		</div>
	</div>
</div>
<div class="section-4tell-h2" id="test-tray-title">Tray Styling</div>
<div class="subsection-4tell-wrap" id="test-tray-styling-wrap">
	<div class="inner-section-4tell-component">
		<?php render_title_4t("Layout:") ?>
		<select name="<?php echo $this->plugin_name; ?>[tray][TrayLayOut]">
			<option value="Horizontal" <?php selected($TrayLayOut, "Horizontal"); ?>>Horizontal</option>
			<option value="Vertical" <?php selected($TrayLayOut, "Vertical"); ?>>Vertical</option>
		</select>
	</div>
	<div class="inner-section-4tell-component" id="test-tray-topBorder">
		<?php render_title_4t("Top Border Color:") ?>
		<input type="text" class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-TrayTopBorderColor" name="<?php echo $this->plugin_name; ?>[tray][TrayTopBorderColor]" value="<?php if (!empty($TrayTopBorderColor)) echo $TrayTopBorderColor; ?>" />
	</div>
	<div class="inner-section-4tell-component" id="test-tray-background">
		<?php render_title_4t("Background Color:") ?>
		<input class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-TrayBGColor" name="<?php echo $this->plugin_name; ?>[tray][TrayBGColor]" value="<?php if (!empty($TrayBGColor)) echo $TrayBGColor; ?>" />
	</div>
	<div class="subsection-4tell-title">Heading:</div>
	<div class="section-4tell-wrap">
		<div class="inner-section-4tell-component">
			<?php render_title_4t("Text:") ?>
			<input type="text" maxlength="80" id="<?php echo $this->plugin_name; ?>-TrayTitleText" name="<?php echo $this->plugin_name; ?>[tray][TrayTitleText]" value="<?php if (!empty($TrayTitleText)) echo $TrayTitleText; ?>" class="longer-width-input-4t" />
		</div>
		<div class="inner-section-4tell-component" id="test-tray-font">
			<?php render_title_4t("Font Color:") ?>
			<input type="text" class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-TrayTitleColor" name="<?php echo $this->plugin_name; ?>[tray][TrayTitleColor]" value="<?php if (!empty($TrayTitleColor)) echo $TrayTitleColor; ?>" />
		</div>
		<div class="inner-section-4tell-component">
			<?php render_title_4t("Font size:") ?>
			<input type="text" id="<?php echo $this->plugin_name; ?>-TrayFontSize" name="<?php echo $this->plugin_name; ?>[tray][TrayFontSize]" value="<?php if (!empty($TrayFontSize)) echo $TrayFontSize; ?>" />
		</div>
	</div>
	<div class="subsection-4tell-title">Individual Posts:</div>
	<div class="section-4tell-wrap">
		<div class="inner-section-4tell-component" id="test-individual-post-border">
			<?php render_title_4t("Border Color:") ?>
			<input type="text" class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-RecsBorderColor" name="<?php echo $this->plugin_name; ?>[tray][RecsBorderColor]" value="<?php if (!empty($RecsBorderColor)) echo $RecsBorderColor; ?>" />
		</div>
		<div class="inner-section-4tell-component" id="test-individual-post-background">
			<?php render_title_4t("Background Color:") ?>
			<input type="text" class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-RecsBackgroundColor" name="<?php echo $this->plugin_name; ?>[tray][RecsBackgroundColor]" value="<?php if (!empty($RecsBackgroundColor)) echo $RecsBackgroundColor; ?>" />
		</div>
		<div class="inner-section-4tell-component" id="test-individual-post-font">
			<?php render_title_4t("Font Color:") ?>
			<input type="text" class="color-picker-4tell" id="<?php echo $this->plugin_name; ?>-RecsFontColor" name="<?php echo $this->plugin_name; ?>[tray][RecsFontColor]" value="<?php if (!empty($RecsFontColor)) echo $RecsFontColor; ?>" />
		</div>
		<div class="inner-section-4tell-component">
			<?php render_title_4t("Font size:") ?>
			<input type="text" placeholder="Ex: 20px or 2em" id="<?php echo $this->plugin_name; ?>-RecsFontSize" name="<?php echo $this->plugin_name; ?>[tray][RecsFontSize]" value="<?php if (!empty($RecsFontSize)) echo $RecsFontSize; ?>" />
		</div>
	</div>
</div>

<div class="section-4tell-h2" id="test-tray-title">Promoted Post</div>
<div class="subsection-4tell-wrap" id="test-promoted-post">
	<div class="inner-section-4tell-component">
		<?php render_title_4t("Id:") ?>
		<input type="number" id="<?php echo $this->plugin_name; ?>-PromotedRecId" name="<?php echo $this->plugin_name; ?>[tray][PromotedRecId]" value="<?php if (!empty($PromotedRecId)) echo $PromotedRecId; ?>" />
	</div>
	<div class="inner-section-4tell-component">
		<p class='inner-section-4tell-title'>Heading:</p>
		<input type="text" maxlength="80" id="<?php echo $this->plugin_name; ?>-PromotedRecTitle" name="<?php echo $this->plugin_name; ?>[tray][PromotedRecTitle]" value="<?php if (!empty($PromotedRecTitle)) echo $PromotedRecTitle; ?>" class="longer-width-input-4t" />
	</div>
</div>