<?php

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Personalization_4tell
 * @subpackage Personalization_4tell/includes
 * @author     Chris Reeder <chris.reeder@4-tell.com>
 */
class Personalization_4tell_Activator
{
	public static function activate()
	{
		Personalization_4tell_Activator::render_touts_for_my_library();
	}

	private static function render_touts_for_my_library()
	{
		$tout_divs = "";
		for ($i = 1; $i <= 7; $i++) {
			$tout_divs = $tout_divs . "<div id='tout" . $i . "_Library_4T'></div>";
		}

		$my_post = array(
			'post_title'    => wp_strip_all_tags('My Library'),
			'post_type'     => 'page',
			'post_content'     => $tout_divs,
			'post_status'       =>  'publish'
		);

		// Insert the post into the database
		wp_insert_post($my_post);
	}
}
