<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://get4tell.com
 * @since             1.0.0
 * @package           Personalization_4tell
 *
 * @wordpress-plugin
 * Plugin Name:       Adaptive Web Personalization
 * Plugin URI:        https://act-on.com
 * Description:       Personalization content recommendations to increase engagment.
 * Version:           2019.2.3
 * Author:            Act-On
 * Author URI:        https://act-on.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       personalization-4tell
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

/**
 * Currently plugin version.CHANGE THIS WHEN YOU'RE PUBLISHING A NEW VERSION
 * 
 * And metadata.json
 */
define('PLUGIN_NAME_VERSION', '2019.2.3');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-personalization-4tell-activator.php
 */
function activate_personalization_4tell()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-personalization-4tell-activator.php';
	Personalization_4tell_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-personalization-4tell-deactivator.php
 */
function deactivate_personalization_4tell()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-personalization-4tell-deactivator.php';
	Personalization_4tell_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_personalization_4tell');
register_deactivation_hook(__FILE__, 'deactivate_personalization_4tell');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-personalization-4tell.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_personalization_4tell()
{

	$plugin = new Personalization_4tell();
	$plugin->run();
}
run_personalization_4tell();
