(function(_4TellBoost) {
  var anchor = document.getElementsByTagName("head")[0];
  var siteAlias;
  var mode; // Stage or Live

  if (_4TellBoost && _4TellBoost.NewLoader) {
    siteAlias = _4TellBoost.NewLoader.ClientAlias;
    mode = _4TellBoost.NewLoader.DataMode.toLowerCase(); // azure function response has lowercase keys
  }

  var storedLookup = "Stored_Bundle_4T";
  var storedBundle = sessionStorage.getItem(storedLookup);
  var isStoredNotRefreshed =
    storedBundle && window.performance.navigation.type !== 1 ? true : false;

  ////////////////////
  // VERY IMPORTANT //
  ////////////////////
  // This link is only Good until 5-8-2020. You will need to get a new SAS and then purge the cdn.
  // Looks for bundle and if on our site defaults to the master branch.

  function createHttpRequest(siteAlias, mode) {
    var httpRequest = new XMLHttpRequest();
    httpRequest.open("GET", getUrlForBlob(siteAlias));
    httpRequest.setRequestHeader("Accept", "application/json;odata=nometadata");
    httpRequest.setRequestHeader("Content-Type", "application/json");

    httpRequest.onload = function() {
      if (httpRequest.status === 200) {
        var response = JSON.parse(httpRequest.responseText);
        if (response["Enabled"] !== false) {
          if (response[mode] !== storedBundle) {
            sessionStorage.setItem(storedLookup, response[mode]); // not sure where this is ever used, might be though..
          }
          if (!isStoredNotRefreshed) {
            createBundleScript(response[mode], anchor);
          }
        }
      } else {
        console.log("Request Failed" + httpRequest.status);
      }
    };
    httpRequest.send();
  }

  function getUrlForBlob(alias) {
    return "https://jsbundle.azurewebsites.net/api/Function1?alias=" + alias;
  }

  /** Creates Script tag with the bundle it found */
  function createBundleScript(file, firstLoader) {
    if (file && file.length > 0) {
      var s = document.createElement("script");
      s.setAttribute("type", "text/javascript");
      s.setAttribute("src", file);
      const parent = firstLoader.parentNode;
      parent.insertBefore(s, anchor);
    }
  }

  if (isStoredNotRefreshed) {
    createBundleScript(storedBundle, anchor);
    createHttpRequest(siteAlias, mode);
  } else if ((anchor, siteAlias, mode)) {
    createHttpRequest(siteAlias, mode);
  } else {
    return;
  }
})((window._4TellBoost = window._4TellBoost || {}));
